
package de.ivu.elect.dokumente;

import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.DOKUMENTENERZEUGUNG_KLEINE_DOKUMENTE_FUER_TEST_ERZEUGEN;
import static java.util.Arrays.asList;

import java.util.Collection;

import de.ivu.elect.business.wahl.control.AbstractWahlParameterInit;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.business.wahl.entity.Wahltermin;

public class DokumentenerzeugungKonfigurationInit extends AbstractWahlParameterInit {

  public DokumentenerzeugungKonfigurationInit() {
    super();
  }

  @Override
  public Collection<WahlParameter> createDefaultParameters(Wahltermin wahltermin, Wahl wahl) {
    return asList( //
        create(DOKUMENTENERZEUGUNG_KLEINE_DOKUMENTE_FUER_TEST_ERZEUGEN, Boolean.FALSE.toString()) //
    );
  }
}
